summaryrefslogtreecommitdiffstats
path: root/testing/source/grub/grub.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'testing/source/grub/grub.SlackBuild')
-rwxr-xr-xtesting/source/grub/grub.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/testing/source/grub/grub.SlackBuild b/testing/source/grub/grub.SlackBuild
index 88666616c..67cdb21fc 100755
--- a/testing/source/grub/grub.SlackBuild
+++ b/testing/source/grub/grub.SlackBuild
@@ -28,7 +28,7 @@ PKGNAM=grub
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# Better to use _ than ~ in the package filenames version:
PKGVER=$(echo $VERSION | tr '~' '_')
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -112,8 +112,8 @@ cat $CWD/grub.dejavusansmono.gfxterm.font.diff | patch -p1 --verbose || exit 1
# Fix alignment error with gcc8:
cat $CWD/0198-align-struct-efi_variable-better.patch | patch -p1 --verbose || exit 1
-# Skip processing any files in /etc/grub.d/ that end in .new:
-cat $CWD/0001-skip-new-files-in-etc-grub.d.patch | patch -p1 --verbose || exit 1
+# Skip processing any files in /etc/grub.d/ that end in .new or .orig:
+cat $CWD/0001-skip-new-and-orig-files-in-etc-grub.d.patch | patch -p1 --verbose || exit 1
# From Arch, add a couple more GRUB_COLOR options:
cat $CWD/0001-00_header-add-GRUB_COLOR_-variables.patch | patch -p1 --verbose || exit 1